<?php
class clave
{
	var $error;
	var $ruta;
	function clave($rutax){$this->ruta=$rutax;}
	function update_clave($usuario,$old_c,$new_c)
	{
		require($this->ruta);
		$sql_old='SELECT COUNT(*)as total from user0 where user_cedula="'.$usuario.'" AND user_clave="'.md5($old_c).'"';
		$res_old=mysql_query($sql_old,$link_vcrx);
		$existe=mysql_result($res_old,0,'total');
		if($existe!=0)
		{
			$sql_new='update user0 set user_clave="'.md5($new_c).'" where user_cedula="'.$usuario.'"';
			//$this->error=$sql_new;
			
			if(mysql_query($sql_new,$link_vcrx))
			{
				$this->error='Actualizo Clave';	
			}
			else
			{
				$this->error='Error de Conexion';	
			}
			
		}
		else
		{
			$this->error='Clave Anterior Incorrecta';
		}
		echo $this->error;
	}

	function recupera_clave($usuario,$email)
	{
		require($this->ruta);
		$sql_rec='SELECT COUNT(*)as total from user0 where user_cedula="'.$usuario.'" AND user_email="'.$email.'"';
		$res_rec=mysql_query($sql_rec,$link_vcrx);
		$existe=mysql_result($res_rec,0,'total');
		if($existe!=0)
		{
			$aleatorio=rand(100000,999999);
			$sql_new='update user0 set user_solicita="1", user_captcha="'.$aleatorio.'" where user_cedula="'.$usuario.'"';
			//$this->error=$sql_new;
			
			if(mysql_query($sql_new,$link_vcrx))
			{
					//include('../cfg/email_bienvenido.php');
					include('../cfg/cfg.php');
					$pagina;
				    $to = $_POST['email'];
				    $subject = 'Recuperacion de Clave '.$empr_nombre;
				    $cuerpo ='<html>
					<head>
  					<title>Recuperacion de Clave '.$empr_nombre.'</title>
					</head>
					<body>
	  				Tu PIN: '.$aleatorio.'
					<br />
					Por favor da click en el siguiente enlace:
					<a href="'.$dir_raiz.'recupera.php'.'">'.$dir_raiz.'recupera.php'.'</a>';
					$cuerpo .='
					</body>
					</html>';  
					//include('../cfg/email_bienvenido.php');
                                        include('../cfg/cfg.php');
					if(mail($to,$subject,$cuerpo,$headers))  
					{
						$this->error='Solicitud de Clave Exitosa, Revise su Correo';	
					}
					else
					{
						$this->error='Ocurrio un error al enviar confirmacion a tu correo, intente mas tarde.';
					}    

				
			}
			else
			{
				$this->error='Error de Conexion';	
			}
			
		}
		else
		{
			$this->error='CI o Email Incorrecto';
		}
		echo $this->error;
	}
	
	function pin_clave($usuario,$email,$pin,$new_c)
	{
		require($this->ruta);
		$sql_old='SELECT COUNT(*)as total from user0 where 
		user_cedula="'.$usuario.'" AND 
		user_email="'.$email.'" and 
		user_captcha="'.$pin.'" and
		user_solicita="1"';
		$res_old=mysql_query($sql_old,$link_vcrx);
		$existe=mysql_result($res_old,0,'total');
		if($existe!=0)
		{
			$sql_new='update user0 set user_clave="'.md5($new_c).'",user_solicita=NULL,user_captcha=NULL where user_cedula="'.$usuario.'" ';
			//$this->error=$sql_new;
			
			if(mysql_query($sql_new,$link_vcrx))
			{
				$this->error='Actualizo Clave Correctamente, Ingrese Con su Nueva Clave';	
			}
			else
			{
				$this->error='Error de Conexion';	
			}
			
		}
		else
		{
			$this->error='PIN/CI/EMAIL Incorrecto';
		}
		echo $this->error;
	}

	
}
?>